Target version: 5.0.0   
Description

Redmine currently supports OpenID authentication.

However, OpenId was obsoleted by OpenID Connect some years ago and most OpenID providers discontinued their services. Now it

is very difficult to find a web service with an OpenID provider service. This means that it is difficult for Redmine users to start using

OpenID login. And it is not easy for us to test if Redmine's OpenID support is working properly.

Given this situation, probably very few users are using OpenID login in Redmine. I think it is time to remove OpenID support from

Redmine.

Related issues:

Related to Redmine - Defect #35688: OpenIdAuthentication alias_method_chain Closed

Related to Redmine - Defect #32293: Redmine does not start if optional openid... Closed

Related to Redmine - Feature #699: OpenID login Closed 2008-02-20

Related to Redmine - Defect #36326: Missing div tag in views page Closed

Related to Redmine - Defect #37609: Remove obsolete remnant public/images/ope... Closed

Associated revisions

Revision 21312 - 2021-12-14 01:09 - Go MAEDA

Drop OpenID support (#35755).

Patch by Go MAEDA.

Revision 21314 - 2021-12-14 02:32 - Go MAEDA

Remove empty files (#35755).

Revision 21318 - 2021-12-16 05:30 - Go MAEDA

Fix a missing closing div due to r21312 (#35755, #36326).

Contributed by Enziin System.

History

#1 - 2021-08-13 17:05 - Mischa The Evil

Go MAEDA wrote:

However, OpenId was obsoleted by OpenID Connect some years ago [...]

 I hadn't noticed that change.

Go MAEDA wrote:

[...] And it is not easy for us to test if Redmine's OpenID support is working properly.

 Well, AFAIK it isn't working OOTB properly at least. And that already for 10(+) years. See #3780, #5966, #11778 and the 'OpenID Fix' plugin by

Andriy Lesyuk.

Go MAEDA wrote:
https://www.redmine.org/issues/3780
https://www.redmine.org/issues/5966
https://www.redmine.org/issues/11778
http://projects.andriylesyuk.com/project/redmine/openid-fix


[...] I think it is time to remove OpenID support from Redmine.

 I agree. +1. And I think that JPL would wholeheartedly agree too (given the thoughts he expressed at the time in #699#note-14)...

#2 - 2021-08-16 19:37 - Holger Just

- Related to Defect #35688: OpenIdAuthentication alias_method_chain added

#3 - 2021-09-05 09:29 - Go MAEDA

- File 0001-Drop-OpenID-authentication-support.patch added

Here is a patch to drop OpenID.

#4 - 2021-09-05 09:32 - Go MAEDA

- Related to Defect #32293: Redmine does not start if optional openid gems are not installed added

#5 - 2021-11-18 07:08 - Marius BĂLTEANU

- Target version set to 5.0.0

Let's drop this.

#6 - 2021-12-14 01:10 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the changes. Redmine no longer supports OpenID.

#7 - 2021-12-15 02:25 - Go MAEDA

- Related to Feature #699: OpenID login added

#8 - 2021-12-16 05:23 - Go MAEDA

- Related to Defect #36326: Missing div tag in views page added

#9 - 2022-04-28 00:11 - Felix Singer

Given this situation, probably very few users are using OpenID login in Redmine. I think it is time to remove OpenID support from Redmine.

 If you don't know, then maybe you should ask your users before you do such a change. We just set up a Keycloak for our services and so we wanted

to use this. Are you planning to replace it with an alternative? OAuth2?

OpenId was obsoleted by OpenID Connect some years ago and most OpenID providers discontinued their services.

 How can a native function get obselete if the alternative is a 3rd party plugin? Should that be a feature or an improvement? That's a huge step

backwards.

Also, looking at the pages for issues and pull requests from that OpenID Connect plugin, it looks pretty much unmaintained. So again, how can this be

a proper alternative?

https://github.com/devopskube/redmine_openid_connect

Now it is very difficult to find a web service with an OpenID provider service. This means that it is difficult for Redmine users to start using

OpenID login.

 What? First, there are not only hosted solutions out there. You can set up your own service, see Keycloak or SimpleID. So I don't see how this could

be an argument why it should be difficult to start using it. It depends on who you ask. It's very common for companies or organizations to use some

sort of SSO or OpenID login, as you maybe know.

And it is not easy for us to test if Redmine's OpenID support is working properly.
https://www.redmine.org/issues/699#note-14
https://github.com/devopskube/redmine_openid_connect


 As I just mentioned, you can set up your own service. So I don't get why it's not "easy" for you to test if it's working properly. There are definitely

possibilities.

Please consider reverting this change or providing an alternative, e.g. login with OAuth2.

#10 - 2022-05-04 06:09 - bom brad

Your decision to drop support for OpenID is unbelievable!

I agree with Felix Singer.

#11 - 2022-05-11 17:48 - markus schulte

hey guys,

you can easily configure keycloak to be an oidc server.

and then use redmine_oidc or relevants. works like a charm!

except you dared using rm5.0. but that's a different story i guess.

cheers,

/markus

#12 - 2022-06-01 15:34 - Heiko Böhme

really ... not funny ... I actually wanted to implement OIDC / OAUTH2

is there a special plugin?

best heiko

#13 - 2022-06-14 11:54 - Christoffer Rumohr

Go MAEDA wrote:

Given this situation, probably very few users are using OpenID login in Redmine. I think it is time to remove OpenID support from Redmine.

 While I completely agree with this move (OpenID != OpenID Connect) I think that proper support for OpenID Connect should be provided out of the

box and not via a 3rd party plugin.

When we take a look at the network graph of the "most popular" OpenID Connect plugin on GitHub - it's a total mess. Forked several times and no

maintainer took over eventually. I'm trying to integrate our Redmine installation with Keycloak right now and are completely unsure, which fork to pick.

Especially since OpenID Connect is becoming more and more popular and this functionality affects the security of a Redmine installation, the current

situation is very bleak.

#14 - 2022-08-29 01:30 - Go MAEDA

- Related to Defect #37609: Remove obsolete remnant public/images/openid-bg.gif added

#15 - 2023-11-21 17:58 - Pavel Goran

It's a pity that OpenID support was removed. I was using it in the in-house Redmine installation for many years. Now that installation was upgraded to

version 5, and I'm locked out of my account. :)

Sure, I'll find my way back in, but I don't appreciate having to create yet another password.

Overall, it's sad that a good technology will no longer work with Redmine, especially given that there is no decent replacement (judging from the

comments in this issue).

#16 - 2024-03-06 13:56 - Marco Descher

Christoffer Rumohr wrote in #note-13:

Go MAEDA wrote:

Given this situation, probably very few users are using OpenID login in Redmine. I think it is time to remove OpenID support from Redmine.

 While I completely agree with this move (OpenID != OpenID Connect) I think that proper support for OpenID Connect should be provided out of

the box and not via a 3rd party plugin.

When we take a look at the network graph of the "most popular" OpenID Connect plugin on GitHub - it's a total mess. Forked several times and

no maintainer took over eventually. I'm trying to integrate our Redmine installation with Keycloak right now and are completely unsure, which fork

to pick.

Especially since OpenID Connect is becoming more and more popular and this functionality affects the security of a Redmine installation, the
https://github.com/devopskube/redmine_openid_connect/network
https://github.com/devopskube/redmine_openid_connect/network


current situation is very bleak.

 I second this - exactly the same situation. I want to authenticate to redmine via a keycloak SSO - but I don't know which of the third-party plugins to

trust here. Especially,

as there are more and more Supply Chain Attacks. A plugin doing authentication is predestined to be a target (for such an attack) - so the only way to

have a proper trust here, is for this SSO login mechanism to be an integrated part of the core system.

Files

0001-Drop-OpenID-authentication-support.patch 125 KB 2021-09-05 Go MAEDA
